"use strict";

const request = require('request');
const prettyDump = require('./pretty-dump');

module.exports = function(reqOptions) {
    console.error('Calling ' + reqOptions.url);
    request(reqOptions, function(err, res, body) {
        if (err) {
            console.error(err);
            return;
        }

        if (res.statusCode != 200) {
            console.error('APISERVER not returning HTTP status code 200, instead ' + res.statusCode);
            console.error('\nBody:\n');
            console.error(body)
            return;
        }

        console.error('\nRESULT:');
        prettyDump(body);
    })
}
